Bug 409179 - Dolphin (and Konqueror) do not connect via BlueTooth
Summary: Dolphin (and Konqueror) do not connect via BlueTooth
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Applications
Component: panels: places (show other bugs)
Version: 18.08.0
Platform: Debian testing Linux
: NOR major (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-25 14:50 UTC by Giuliano
Modified: 2021-04-12 20:32 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.21.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Giuliano 2019-06-25 14:50:56 UTC
SUMMARY
Connecting my pc to my Android phone, I can receive files sent from phone, and can send files to it through the plasmoid.   
But opening Dolphin and accessing Network / Bluetooth, while I can see the folder with the received files, I cannot access and send a file to the device:
I get the error
-------
Malformed URL
Path component is relative and authority is present; source was "00001105-0000-1000-8000-00805F9B34FB"; scheme = "bluetooth", host = "88-28-b3-b1-43-3c", path = "00001105-0000-1000-8000-00805F9B34FB"
-----

Same from Konqueror, but in this case the message is
----

Undocumented Error
Details of the Request:
URL:
Date and Time: martedì 25 giugno 2019 16:21:40 CEST
Additional Information:
Description:
Unknown error code 1205168496 Please send a full bug report at https://bugs.kde.org.
-----

SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma:  4.19.0-4-amd64
Debian - Buster
KDE Plasma Version:  5.14.5
KDE Frameworks Version:  5.54.0
Qt Version: 5.11.3

Thanks for the attention and for your work
Giuliano Cabrele
Comment 1 Justin Zobel 2020-11-02 06:14:37 UTC
Confirmed on Dolphin from git master.
Comment 2 Egor Ignatov 2021-04-06 09:32:57 UTC
Ping.

Have the same issue.

Dolphin: 19.12.3
Linux:  5.10.26
KDE Frameworks Version:  5.12.9
Qt Version: 5.12.9
Comment 3 Egor Ignatov 2021-04-12 14:57:01 UTC
Thanks to Nicolas Fella(@nicolasfella) for his help in fixing this bug.

https://invent.kde.org/plasma/bluedevil/-/merge_requests/36
Comment 4 Nicolas Fella 2021-04-12 15:32:37 UTC
Git commit ba9fbb6bbdadc67ccfbe953cdf2f0f0e8a609cb2 by Nicolas Fella, on behalf of Egor Ignatov.
Committed on 12/04/2021 at 15:31.
Pushed by nicolasfella into branch 'Plasma/5.21'.

[kio] Add trailing slash to device url

The absence of a trailing slash makes the QUrl's path field empty,
which make the url invalid.
(cherry picked from commit 1427e66a0dd74f2a73a2f7d8ac323643aa68fd0e)

M  +1    -1    src/kio/bluetooth/kiobluetooth.cpp

https://invent.kde.org/plasma/bluedevil/commit/ba9fbb6bbdadc67ccfbe953cdf2f0f0e8a609cb2